Skip to main content
Get Preset
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/3/notifications/notification-center/v1/presets/{id} \
  --header 'Authorization: <api-key>'
{
  "preset": {
    "configOverrides": [
      {
        "conditionType": {
          "matchEntityType": {}
        },
        "messageConfig": {
          "fields": [
            {
              "fieldName": "title",
              "template": "{{alert.status}} {{alertDef.priority}} - {{alertDef.name}}"
            }
          ]
        },
        "payloadType": "<string>"
      }
    ],
    "connectorType": "CONNECTOR_TYPE_UNSPECIFIED",
    "createTime": "2023-11-07T05:31:56Z",
    "description": "Custom preset for alerts",
    "entityType": "ENTITY_TYPE_UNSPECIFIED",
    "id": "a16e24c8-4db2-4abf-ba3c-c9e1fc35a3b9",
    "name": "My Preset",
    "parentId": "preset_system_slack_alerts_basic",
    "presetType": "PRESET_TYPE_UNSPECIFIED",
    "updateTime": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Response

200 - application/json
preset
Preset · object

Set of preconfigured templates for notification content rendering